Subject: Re: [GSoC] Intro and Micro-project

From: Taylor Blau <[email-masked]>
Date: Tue, 21 Mar 2023 14:10:12 -0400

On Tue, Mar 21, 2023 at 10:41:33AM -0700, Junio C Hamano wrote:
> Taylor Blau <[email-masked]> writes:
>
> > That sounds great! I assume that you meant avoiding pipelines where the
> > 'git' executable is in a non-terminal position of the pipe, e.g.:
> >
> >     $ git blah | <something else>
> >
> > Since if "git blah" exited with a non-zero code or crashed, etc., then
> > we wouldn't see the failure since the pipeline would suppress it.
> >
> > That has been a long-standing goal within the test suite, and I think
> > that it's a great project to get you started. It'll ensure that you have
> > all of the bits in the right place to get Git running on your machine
> > and that you're able to run the tests.
>
> Yes, but can somebody rewrite the micro-project idea page to clarify
> what the "pipe" thing is about a bit more, so that you do not have
> to repeat the above explanation the next time ;-)?

Good suggestion. I did so in the following pull request:

  https://github.com/git/git.github.io/pull/633

Thanks,
Taylor